Summary: WPA/WPA2/IEEE 802.1X Supplicant
Name: wpa_supplicant
Epoch: 1
Version: 0.6.9
Release: 4.1.moblin2
License: BSD
Group: System Environment/Base
Source0: http://w1.fi/releases/%{name}-%{version}.tar.gz
Source1: %{name}.config

Patch0: wpa_s-encode_disable-0.6.9.patch 
Patch1: wpa_s-discard-eapol.patch 
Patch2: wpa_s-disconnected.patch 
Patch3: wpa_s-drv-disassociate-on-disassoc-event.patch

URL: http://w1.fi/wpa_supplicant/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel
BuildRequires: readline-devel
BuildRequires: dbus-devel

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with support 
for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE 802.1X/WPA 
component that is used in the client stations. It implements key negotiation 
with a WPA Authenticator and it controls the roaming and IEEE 802.11 
authentication/association of the wlan driver.

%prep
%setup -q
%patch0 -p1 -b .wpa_s-encode_disable
%patch1 -p1 -b .wpa_s-discard-eapol
%patch2 -p1 -b .wpa_s-disconnected
%patch3 -p1 -b .wpa_s-drv-disassociate-on-disassoc-event

%build
pushd wpa_supplicant
  cp %{SOURCE1} ./.config
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
  make %{_smp_mflags}
popd

%install
rm -rf %{buildroot}

# binary
install -d %{buildroot}/sbin
install -m 0755 %{name}/wpa_passphrase %{buildroot}/sbin
install -m 0755 %{name}/wpa_cli %{buildroot}/sbin
install -m 0755 %{name}/wpa_supplicant %{buildroot}/sbin
install -d %{buildroot}/%{_sysconfdir}/dbus-1/system.d/
install -m 0644 %{name}/dbus-wpa_supplicant.conf %{buildroot}/%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -d %{buildroot}/%{_datadir}/dbus-1/system-services/
install -m 0644 %{name}/dbus-wpa_supplicant.service %{buildroot}/%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

# running
mkdir -p %{buildroot}/%{_localstatedir}/run/%{name}

# man pages
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 0644 %{name}/doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 0644 %{name}/doc/docbook/*.5 %{buildroot}%{_mandir}/man5

# some cleanup in docs
rm -f  %{name}/doc/.cvsignore
rm -rf %{name}/doc/docbook

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING %{name}/ChangeLog README %{name}/eap_testing.txt %{name}/todo.txt %{name}/wpa_supplicant.conf %{name}/examples
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
/sbin/wpa_passphrase
/sbin/wpa_supplicant
/sbin/wpa_cli
%dir %{_localstatedir}/run/%{name}
%{_mandir}/man8/*
%{_mandir}/man5/*
%changelog
* Tue Sep 15 2009 Martin Xu <martin.xu@intel.com> 0.6.9
- add wpa_s-drv-disassociate-on-disassoc-event.patch
* Fri Sep 11 2009 Martin Xu <martin.xu@intel.com> 0.6.9
- add wpa_s-disconnected.patch
* Tue Sep  8 2009 Martin Xu <martin.xu@intel.com> 0.6.9
- add wpa_s-encode_disable-0.6.9.patch
- add wpa_s-discard-eapol.patch
- remove other unused patches
- clean up spec file and remove unused config file
- remove the gui-qt package
- clean up changfile
- install exec file to /sbin
* Wed May 27 2009 Martin Xu <martin.xu@intel.com> 0.6.9
- Upgrade to 0.6.9
- Add WPS support in config file
* Wed Feb 18 2009 Yin Kangkai <kangkai.yin@intel.com> 0.6.8
- Upgrade to 0.6.8
* Sat Feb 14 2009 Anas Nashif <anas.nashif@intel.com> 0.6.7
- Update to 2.6.7 and apply fixes and patches from fedora
* Sat Feb 14 2009 Anas Nashif <anas.nashif@intel.com> 0.6.7
- Apply fixes from fedora:
  - Fix scan result retrieval in very dense wifi environments
  - Ensure that drivers don't retry association when they aren't supposed to
  - Fix PEAP connections to Windows Server 2008 authenticators (rh #465022)
  - Stop supplicant on uninstall (rh #447843)
  - Suppress scan results message in logs (rh #466601)
  - Handle encryption keys correctly when switching 802.11 modes (rh #459399)
  - Better scanning behavior on resume from suspend/hibernate
  - Better interaction with newer kernels and drivers
  - Remove 'hostap', 'madwifi', and 'prism54' drivers; use standard 'wext' instead
* Mon Sep 22 2008 Anas Nashif <anas.nashif@intel.com> 0.6.3
- do not install examples
* Tue Aug 12 2008 Anas Nashif <anas.nashif@intel.com>
- Do not install gui stuff is disabled
* Tue Aug 12 2008 Anas Nashif <anas.nashif@intel.com> 
- Enable/disable gui via macro
